<com.google.android.gms.ads.nativead.NativeAdView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="10dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="#D9D9D9"
        android:minHeight="50dp"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp"
        tools:ignore="DisableBaselineAlignment">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/ad_headline"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:lines="2"
                android:textColor="@color/black"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/ad_body"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:layout_marginRight="10dp"
                android:ellipsize="end"
                android:lines="2"
                android:textColor="@color/black"
                android:textSize="12sp"
                tools:ignore="RtlHardcoded" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/ad_app_icon"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center_vertical"
                    tools:ignore="ContentDescription" />

                <Button
                    android:id="@+id/ad_call_to_action"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginHorizontal="5dp"
                    android:backgroundTint="@color/black"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="12sp" />
            </LinearLayout>

        </LinearLayout>

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <com.google.android.gms.ads.nativead.MediaView
                android:id="@+id/ad_media"
                android:layout_width="160dp"
                android:layout_height="match_parent"
                android:layout_gravity="center_horizontal" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:background="@color/black"
                android:paddingStart="3dp"
                android:paddingTop="2dp"
                android:paddingEnd="3dp"
                android:paddingBottom="2dp"
                android:text="Ad"
                android:textColor="@color/white"
                android:textSize="12sp"
                tools:ignore="HardcodedText" />
        </FrameLayout>
    </LinearLayout>
</com.google.android.gms.ads.nativead.NativeAdView>